library(inline)

src <- '
  Rcpp::NumericMatrix m1 = Rcpp::NumericMatrix(mx);
  // no go:  Rcpp::NumericMatrix m2 = m1 + m1;
  // no go:  Rcpp::NumericMatrix m2 = m1 * 2;
  return m2;'
fun <- cxxfunction(signature(mx="numeric"), src,
                   plugin="Rcpp")
mat <- matrix(1:9, 3, 3)
fun(mat)
