inc <- '
double norm( double x, double y ){
    return sqrt( x*x + y*y) ;
}
'
src <- '
// convert the inputs
double x = as<double>(x_), y = as<double>(y_); 

// call the function and store the result
double res = norm( x, y ) ;

// convert the result
return wrap(y) ;
'
norm <- cxxfunction(
    signature( x_ = "numeric", y_ = "numeric" ), 
    src, includes = inc, plugin = "Rcpp" )

